| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPluginLoader Class Reference

This utility class helps to load plugins based on request, config file, and commandline. More...

`#include <csutil/plugldr.h>`

List of all members.

## Public Member Functions
| csPluginLoader (iObjectRegistry *object_reg)
| Initialize.
bool | LoadPlugins ()
| Load the plugins.
void | RequestPlugin (const char *pluginName, const char *tagName)
| A shortcut for requesting to load a plugin (before LoadPlugins()).
virtual | ~csPluginLoader ()
| Deinitialize.
## Friends
class | csPluginList

## Detailed Description

This utility class helps to load plugins based on request, config file, and commandline.

Definition at line 65 of file plugldr.h.

## Constructor & Destructor Documentation

csPluginLoader::csPluginLoader | ( | iObjectRegistry * | object_reg | ) |

Initialize.

virtual csPluginLoader::~csPluginLoader | ( |  | ) | `[virtual]`

Deinitialize.

## Member Function Documentation

bool csPluginLoader::LoadPlugins | ( |  | ) |

Load the plugins.

void csPluginLoader::RequestPlugin | ( | const char * | pluginName,
|  | const char * | tagName |
| ) |  |  |

A shortcut for requesting to load a plugin (before LoadPlugins()).

If you want this class to register the plugin as a default for some interface then you should use the interface name as the tag name (i.e. 'iGraphics3D'). Note that plugins requested with some tag here get lowest precendence. The commandline has highest priority followed by the config file. If after this no plugin with the given tag exists then RequestPlugin() will work.

The documentation for this class was generated from the following file:

- csutil/plugldr.h